%define name	hg-git
%define version 0.3.3
%define release %mkrel 3

Summary:	Mercurial plugin for communicating with Git servers
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://pypi.python.org/packages/source/h/%{name}/%{name}-%{version}.tar.gz
License:	GPLv2
Group:		Development/Tools
Url:		http://hg-git.github.com/
BuildArch:	noarch
Requires:	python, mercurial >= 1.3
Requires:	python-dulwich >= 0.8.0
BuildRequires:	python-devel, python-dulwich >= 0.8.0

%description
This is the Hg-Git plugin for Mercurial, adding the ability to push to
and pull from a Git server repository from Mercurial. This means you
can collaborate on Git based projects from Mercurial, or use a Git
server as a collaboration point for a team with developers using both
Git and Mercurial.

%prep
%setup -q

%install
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --record=FILE_LIST
cat <<EOF > hg-git.rc
[extensions]
hgext.bookmarks =
hggit = %{py_sitedir}/hggit
EOF

%__install -m 755 -d %{buildroot}%{_sysconfdir}/mercurial/hgrc.d
%__install -m 644 hg-git.rc %{buildroot}%{_sysconfdir}/mercurial/hgrc.d/

%files -f FILE_LIST
%config(noreplace) %{_sysconfdir}/mercurial/hgrc.d/hg-git.rc


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.3.3-3.mga3
+ Revision: 353187
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 24 2012 malo <malo> 0.3.3-2.mga3
+ Revision: 309717
- spec clean-up
- update RPM group

* Mon Aug 13 2012 lebedov <lebedov> 0.3.3-1.mga3
+ Revision: 281128
- Update to 0.3.3.

* Sun Feb 05 2012 lebedov <lebedov> 0.3.2-1.mga2
+ Revision: 204887
- Update to 0.3.2.

* Mon Sep 26 2011 boklm <boklm> 0.3.1-1.mga2
+ Revision: 148874
- imported package hg-git

